Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.util
Class Constants

    java.lang.Object
      net.fortuna.ical4j.util.Constants

    public final class Constants

extends Object

Provides some convenience methods for working with constant parameters and properties.

Author:
  Ben Fortuna

Method Summary
`static Property` | `forProperty(Property property)` Returns a constant equivalent to the specified property if one is applicable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### forProperty

    public static Property forProperty(Property property)

  Returns a constant equivalent to the specified property if one is applicable. Otherwise will return the specified property.

  Parameters:
    `property` -
  Returns:
    a Property instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.